Remove video from Tutor

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

POST /assist-ai/remove_assistant_video

Removes a single video from a Tutor AI. The video becomes unbound and can be added to another Tutor. This is the endpoint behind the "remove" action in the dashboard's knowledge base tab.

Request Body

NameTypeRequiredDescription
assistant_idstring (UUID)YesTutor AI identifier.
video_idstring (UUID)YesVideo to remove from the Tutor.
{
  "assistant_id": "{assistant_id}",
  "video_id": "{video_id}"
}

After removing the last successfully processed item, the Tutor cannot be set to ready until a new video or file is added and processed.

Body Params
uuid
required
uuid
required
Response
200

Video removed

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!